<?php
/*********************/
/*                   */
/*  DeZend For PHP5  */
/*  BY WwW.DeZend.CC */
/*   With Bendy [2]  */
/*                   */
/*********************/

class analysisvideoinweb
{

	function getblock( $data, $start, $end )
	{
		$explode = explode( $start, $data );
		$explode = explode( $end, $explode[1] );
		return $explode[0];
	}

	function gourl( $urlStr )
	{
		if ( 0 < strpos( $urlStr, "tudou.com" ) )
		{
			$this->analysistudou( $urlStr );
		}
		else if ( 0 < strpos( $urlStr, "youku.com" ) )
		{
			$this->analysisyouku( $urlStr );
		}
		else if ( 0 < strpos( $urlStr, "56.com" ) )
		{
			$this->analysis56( $urlStr );
		}
		else if ( 0 < strpos( $urlStr, "sina.com.cn" ) )
		{
			$this->analysissina( $urlStr );
		}
	}

	function analysistudou( $ablumUrl )
	{
		global $MAXCMS_CONFIG;
		$ablumId = $this->getblock( $ablumUrl, "/id/", "/" );
		$xmlStr = @file_get_contents( "http://www.tudou.com/playlist/rss.do?lid=".$ablumId );
		$xml_parser = xml_parser_create( );
		xml_parser_set_option( $xml_parser, XML_OPTION_CASE_FOLDING, 0 );
		xml_parser_set_option( $xml_parser, XML_OPTION_SKIP_WHITE, 1 );
		xml_parser_set_option( $xml_parser, XML_OPTION_TARGET_ENCODING, "UTF-8" );
		$datas = array( );
		$videoInfo = "";
		if ( !xml_parse_into_struct( $xml_parser, $xmlStr, $datas ) )
		{
			return array( );
		}
		xml_parser_free( $xml_parser );
		if ( $datas[2]['type'] == "complete" )
		{
			$ablumTitle = $datas[2]['value'];
		}
		$j = 7;
		$i = 6;
		for ( ;	$i < count( $datas );	$i += $j	)
		{
			if ( $i % 2 == 0 )
			{
				if ( $datas[$i]['tag'] == "title" )
				{
					$videoTitle = $datas[$i]['value'];
					$j = 7;
				}
			}
			else if ( $i % 2 == 1 )
			{
				if ( $datas[$i]['tag'] == "tudou:info" )
				{
					$videoId = $datas[$i]['attributes']['id'];
					$j = 3;
				}
				$videoInfo = $videoInfo.$videoTitle."\$".$videoId."\\n";
			}
		}
		$videoInfoArray = explode( "\\n", $videoInfo );
		$videoInfoArrayLength = count( $videoInfoArray ) - 1;
		$Convert = new chinese( "utf8", $MAXCMS_CONFIG['charset'] );
		$ablumTitle = $Convert->convert( $ablumTitle );
		$videoInfo = $Convert->convert( $videoInfo );
		echo "fillc(\"".$ablumTitle."\",\"{$videoInfo}\",\"tudou\",\"{$videoInfoArrayLength}\")";
		exit( );
	}

	function analysisyouku( $ablumUrl )
	{
		global $MAXCMS_CONFIG;
		$ablumId = $this->getblock( $ablumUrl, "id_", ".html" );
		$xmlStr = @file_get_contents( "http://www.youku.com/playlist/rss/id/".$ablumId );
		$xml_parser = xml_parser_create( );
		xml_parser_set_option( $xml_parser, XML_OPTION_CASE_FOLDING, 0 );
		xml_parser_set_option( $xml_parser, XML_OPTION_SKIP_WHITE, 1 );
		xml_parser_set_option( $xml_parser, XML_OPTION_TARGET_ENCODING, "UTF-8" );
		$datas = array( );
		$videoInfo = "";
		if ( !xml_parse_into_struct( $xml_parser, $xmlStr, $datas ) )
		{
			return array( );
		}
		xml_parser_free( $xml_parser );
		if ( $datas[2]['type'] == "complete" )
		{
			$ablumTitle = $datas[2]['value'];
		}
		$j = 8;
		$k = 0;
		$i = 14;
		for ( ;	$i < count( $datas );	$i += $j	)
		{
			if ( $k % 2 == 0 )
			{
				if ( $datas[$i]['tag'] == "title" )
				{
					$videoTitle = $datas[$i]['value'];
					$j = 8;
				}
			}
			else if ( $k % 2 == 1 )
			{
				if ( $datas[$i]['tag'] == "guid" )
				{
					$videoId = $datas[$i]['value'];
					$j = 4;
				}
				$videoInfo = $videoInfo.$videoTitle."\$".$videoId."\\n";
			}
			$k += 1;
		}
		$videoInfoArray = explode( "\\n", $videoInfo );
		$videoInfoArrayLength = count( $videoInfoArray ) - 1;
		$Convert = new chinese( "utf8", $MAXCMS_CONFIG['charset'] );
		$ablumTitle = $Convert->convert( $ablumTitle );
		$videoInfo = $Convert->convert( $videoInfo );
		echo "fillc(\"".$ablumTitle."\",\"{$videoInfo}\",\"youku\",\"{$videoInfoArrayLength}\")";
		exit( );
	}

	function analysis56( $ablumUrl )
	{
		set_time_limit( 0 );
		$ablumId = $this->getblock( $ablumUrl, "album-aid-", ".html" );
		$ablumUrl2 = $this->getblock( $ablumUrl, "http://", "album-" );
		$ablumUrl3 = "http://".$ablumUrl2.( "album-p-1_aid-".$ablumId.".html" );
		$htmlStr = @file_get_contents( $ablumUrl3 );
		$ablumTitle = $this->getblock( $htmlStr, "class=\"bold\">", "<img src=\"" );
		$htmlStr2 = $this->getblock( $htmlStr, "<div class=\"Title1\"><h2>רƵ(", ")</h2></div>" );
		$i = 1;
		for ( ;	$i <= ceil( $htmlStr2 / 25 );	++$i	)
		{
			$ablumUrl4 = "http://".$ablumUrl2."album-p-".$i.( "_aid-".$ablumId.".html" );
			$htmlStr3 = @file_get_contents( $ablumUrl4 );
			$htmlArray = explode( "<p class=\"videoImg\"><a ", $htmlStr3 );
			$j = 1;
			for ( ;	$j < count( $htmlArray );	++$j	)
			{
				$videoUrl = $this->getblock( $htmlArray[$j], "href=\"", "\"><img src=\"" );
				$htmlStr4 = @file_get_contents( "http://".$ablumUrl2.$videoUrl );
				$videoId = $this->getblock( $htmlStr4, "http://www.56.com/n_", ".swf\">" );
				$videoTitle = $this->getblock( $htmlStr4, "<h2 class=\"Vt\">Ƶ", "&nbsp;&nbsp; - ϴߣ<b>" );
				$videoInfo = $videoInfo.$videoTitle."\$n_".$videoId."\\n";
			}
		}
		$videoInfoArray = explode( "\\n", $videoInfo );
		$videoInfoArrayLength = count( $videoInfoArray ) - 1;
		echo "fillc(\"".$ablumTitle."\",\"{$videoInfo}\",\"56\",\"{$videoInfoArrayLength}\")";
		exit( );
	}

	function analysissina( $ablumUrl )
	{
		set_time_limit( 0 );
		$ablumId = $this->getblock( $ablumUrl, "/a/", ".html" );
		$ablumUrl2 = "http://you.video.sina.com.cn/a/".$ablumId."/1/1.html";
		$htmlStr = @file_get_contents( $ablumUrl2 );
		$htmlStr2 = $this->getblock( $htmlStr, "<span class=\"c9\">[ ", " Ƶ]</span>" );
		$ablumTitle = $this->getblock( $htmlStr, "ר<b id=\"topicname\">", "</b></font>" );
		$i = 1;
		for ( ;	$i <= ceil( $htmlStr2 / 16 );	++$i	)
		{
			$ablumUrl3 = "http://you.video.sina.com.cn/a/".$ablumId."/".$i."/1.html";
			$htmlStr3 = @file_get_contents( $ablumUrl3 );
			$htmlStr4 = $this->getblock( $htmlStr3, "", "ȫѡ" );
			$htmlArray = explode( "pic=", $htmlStr4 );
			$j = 0;
			for ( ;	$j < count( $htmlArray ) - 1;	++$j	)
			{
				$videoId = $this->getblock( $htmlArray[$j], "playlist\" vid=\"", "\" author=" );
				$videoId2 = str_replace( "\" uid=\"", "&uid=", $videoId );
				$videoTitle = $this->getblock( $htmlArray[$j], "author=\"", "\" pic=\"" );
				$videoTitle2 = explode( "\" title=\"", $videoTitle );
				$videoTitle3 = str_replace( "\" ", "", $videoTitle2 );
				$videoInfo = $videoInfo.$videoTitle3[1]."\$".$videoId2."\\n";
			}
		}
		$videoInfoArray = explode( "\\n", $videoInfo );
		$videoInfoArrayLength = count( $videoInfoArray ) - 1;
		echo "fillc(\"".$ablumTitle."\",\"{$videoInfo}\",\"sina\",\"{$videoInfoArrayLength}\")";
		exit( );
	}

}

include( "./admin.inc.php" );
require_once( MAXCMS_ROOT."/inc/chinese.class.php" );
$urlstr = str_replace( "'", "", $_GET['furl'] );
$AnalysisVideoInWeb = new analysisvideoinweb( );
$AnalysisVideoInWeb->gourl( $urlstr );
echo "\r\n<html>\r\n<head>\r\n\t<title></title>\r\n\t<meta http-equiv=\"Content-Type\" content=\"text/html; charset=gb2312\">\r\n\t<LINK href=\"admin.css\" type=text/css rel=stylesheet>\r\n</head>\r\n<body>\r\n\r\n<script language=\"javascript\" id=\"as\"></script>\r\n\r\n<script  language=\"javascript\">\r\n\tfunction Send_Open() {\r\n\t\tvar obj=document.getElementById(\"url\");\r\n\t\tif (obj.value == \"\"){alert(\"дҪĵַ\");obj.select();\r\n\t\t}else{document.getElementById(\"as\").src=\"?furl=\"+obj.value;}\r\n\t}\r\n\tfunction fillc(name,url,play,count){\r\n\t\tdocument.getElementById(\"zt_url\").value=url;\r\n\t\tdocument.getElementById(\"zt_play\").value=play;\r\n\t\tdocument.getElementById(\"zt_name\").value=name;\r\n\t\talert(\"ҵ:\"+count+\"\");\r\n\t}\r\n\tfunction copyCode(){\r\n\t\tvar isIE=(navigator.userAgent.toLowerCase().indexOf('msie') >= 0 )?true:false;\r\n\t\tif(isIE){\r\n\t\t\tvar o=document.getElementById(\"zt_url\");\r\n\t\t\tif(o.value==\"\"){alert(\"ûеַ\");return false;}\r\n\t\t\to.select();\r\n\t\t\tvar js=o.createTextRange();\r\n\t\t\tjs.execCommand(\"Copy\");\r\n\t\t\talert(\"Ƴɹ\");\r\n\t\t}else{\r\n\t\t\talert(\"IEʹøƹܣ\");\r\n\t\t}\r\n\t}\r\n\tfunction ggg(){\r\n\t\tvar aa=document.getElementById(\"zt_url\");\r\n\t\tvar tt=aa.value;\r\n\t\tvar cc=tt.split(\"\\n\");\r\n\t\tvar ee=\"\";\r\n\t\tfor(var i=cc.length-1;i>=0;i--){\r\n\t\tif(ee!=\"\") ee+=\"\\n\";\r\n\t\tee+=cc[i];\r\n\t\t}\r\n\t\taa.value=ee;\r\n\t}\r\n\tfunction recode(){\r\n\t\tvar oo=document.getElementById(\"zt_url\");\r\n\t\tvar text1=document.getElementById(\"zt_text1\").value;\r\n\t\tvar text2=document.getElementById(\"zt_text2\").value;\r\n\t\tif(oo.value==\"\"){alert(\"ûеַ\");return;}\r\n\t\tvar text=oo.value;\r\n\t\tvar ttt=\"\";\r\n\t\tif(document.getElementById(\"r_all\").checked) ttt+=\"g\";\r\n\t\tif(document.getElementById(\"r_case\").checked) ttt+=\"i\";\r\n\t\tvar reg=new RegExp(text1,ttt);\r\n\t\too.value=text.replace(reg,text2);\r\n\t}\r\n</script>\r\n\r\n<table width=\"95%\" border=\"0\" align=\"center\" cellpadding=\"4\" cellspacing=\"1\" class=\"tableBorder\">\r\n<tr><th colspan=\"2\" align=\"center\" class=\"tableHeaderText\">˹С</th></tr>\r\n<tr bgcolor=\"#FFFFFF\">\r\n<td align=\"center\" width=\"50%\"><BR />룺<input id=\"url\" type=\"text\" value=\"\" size=\"50\" />\r\n<input type=\"button\" value=\"ճ\" onClick=\"document.getElementById('url').value=window.clipboardData.getData('text');\" />\r\n<BR /><BR />\r\n<input type=\"button\"  onclick=\"Send_Open();return false;\" value=\"ύõַ\" />\r\n<p>\r\nԴ&nbsp;<input type=\"text\" id=\"zt_play\" value=\"\" onClick=\"this.select();\" readonly/>\r\n&nbsp;&nbsp;⣺&nbsp;<input type=\"text\" id=\"zt_name\" onClick=\"this.select();\" value=\"\" readonly /></P>\r\n</td>\r\n<td style=\"margin:10px;\" valign=\"top\" width=\"50%\">\r\n<B>:</B><BR />\r\n<u>http://www.tudou.com/playlist/id/935350/</u><br />\r\nſר<u>http://www.youku.com/playlist_show/id_605121.html</u><br />\r\n5 6 ר<u>http://www.56.com/w26/album-aid-1519334.html</u><br />\r\n˲ͣ<u>http://you.video.sina.com.cn/a/920399.html</u><br />\r\n</td></tr>\r\n<tr><td>\r\n<textarea id=\"zt_url\" style=\"width:100%\" rows=\"24\"></textarea>\r\n</td>\r\n<td valign=\"top\">\r\n<B>ַ</B>    Ƭ  , \$ | < ><BR /><hr height=\"1\">\r\n<B>滻</B>:<BR />\r\n<textarea id=\"zt_text1\" style=\"width:100%\" rows=\"6\"></textarea><BR />\r\n<B>滻</B>:<BR />\r\n<textarea id=\"zt_text2\" style=\"width:100%\" rows=\"6\"></textarea><BR />\r\n<B>滻ʽ</B>:<input id=\"r_all\" type=\"checkbox\" checked />ȫ滻&nbsp;\r\n<input id=\"r_case\" type=\"checkbox\" />ִСд\r\n<center><input style=\"height:35px;width:200px;\" type=\"button\" value=\"滻\" onClick=\"recode();\" /></center>\r\n</td></tr>\r\n<tr><td>\r\n<input style=\"height:24px\" type=\"button\" value=\"     \" onClick=\"ggg();\" />&nbsp;\r\n<input style=\"height:24px\" type=\"button\" value=\"    ַ \" onClick=\"copyCode();\" />\r\n</td><td></td></tr>\r\n</table>\r\n</body>\r\n</html>\r\n\r\n\r\n\r\n";
?>
