<?php
/*********************/
/*                   */
/*  DeZend For PHP5  */
/*  BY WwW.DeZend.CC */
/*   With Bendy [2]  */
/*                   */
/*********************/

class upfile
{

	var $changeName;
	var $saveName;
	var $savePath;
	var $format = "";
	var $overWrite = 0;
	var $maxSize = 2100000;
	var $ext;
	var $results = array( );
	var $lang;
	var $saveId;

	function upfile( $format = "", $maxSize = 0, $changeName = 0, $over = 0 )
	{
		global $MAXCMS_LANG;
		require_once( language( "upload" ) );
		$this->lang =& $MAXCMS_LANG['upload'];
		$this->savePath = MAXCMS_ROOT."/images/uploadimg/";
		$this->maxSize = !$maxSize ? $this->maxSize : $maxSize * 1024;
		$this->format = $format;
		$this->changeName = $changeName;
		$this->overWrite = $over;
	}

	function upload( $form )
	{
		if ( !isset( $_FILES[$form] ) && !$_FILES[$form]['name'] )
		{
			return array(
				false,
				$this->lang['no_files']
			);
		}
		$filear = $_FILES[$form];
		if ( !is_writable( $this->savePath ) || !@mkdir( $this->savePath ) )
		{
			return array(
				false,
				$this->lang['path_no_access']
			);
		}
		if ( is_array( $filear['name'] ) )
		{
			$i = 0;
			for ( ;	$i < count( $filear['name'] );	++$i	)
			{
				$ar['tmp_name'] = $filear['tmp_name'][$i];
				$ar['size'] = $filear['size'][$i];
				$ar['error'] = $filear['error'][$i];
				$this->get_ext( $ar['name'] );
				$this->set_save_name( $ar['name'] );
				if ( $this->move_upload_file( $ar ) )
				{
					continue;
				}
				break;
			}
			return $this->results;
		}
		else
		{
			$this->get_ext( $filear['name'] );
			$this->set_save_name( $filear['name'] );
			if ( !$this->move_upload_file( $filear ) )
			{
				return $this->results;
			}
		}
		return array(
			true,
			str_replace( MAXCMS_ROOT."/", "", $this->savePath ).$this->saveName
		);
	}

	function move_upload_file( $filear )
	{
		if ( $this->maxSize < $filear['size'] )
		{
			return $this->halt( $filear['name'].$this->lang['file_size_error'].round( $this->maxSize / 1024 )." KB" );
		}
		if ( !$this->overWrite || file_exists( $this->savename ) )
		{
			return $this->halt( $this->savename.$this->lang['file_exist'] );
		}
		if ( $this->format != "" && !in_array( strtolower( $this->ext ), explode( ",", strtolower( $this->format ) ) ) )
		{
			return $this->halt( $this->ext.$this->lang['file_format_error'] );
		}
		if ( @!move_uploaded_file( $filear['tmp_name'], $this->savePath.$this->saveName ) || !@copy( $filear['tmp_name'], $this->savePath.$this->saveName ) )
		{
			return $this->halt( $this->lang["error_no_".$filear['error']] );
		}
		@unlink( $filear['tmp_name'] );
		return true;
	}

	function get_ext( $fileName )
	{
		if ( $fileName == "" )
		{
			return;
		}
		$ext = explode( ".", $fileName );
		$this->ext = $ext[count( $ext ) - 1];
	}

	function set_save_name( $filename )
	{
		if ( $this->saveId != "" )
		{
			$name = $this->saveId.".".$this->ext;
		}
		else
		{
			mt_srand( ( double )microtime( ) * 1000000 );
			$random = mt_rand( 1000, 9999 );
			$name = strftime( "%Y%m%d%H%M%S", time( ) ).$random.".".$this->ext;
		}
		$this->saveName = $this->changeName ? $filename : $name;
	}

	function halt( $msg )
	{
		$this->results = array(
			false,
			$this->lang['warning'].$msg
		);
		return false;
	}

}

?>
