<?php
/*********************/
/*                   */
/*  DeZend For PHP5  */
/*  BY WwW.DeZend.CC */
/*   With Bendy [2]  */
/*                   */
/*********************/

class dbclass
{

	var $queryNum = 0;
	var $linkId = null;

	function dbclass( $dbHost, $dbUser, $dbPw, $dbName = "", $pConnect = 0 )
	{
		$this->connect( $dbHost, $dbUser, $dbPw, $dbName, $pConnect );
	}

	function connect( $dbHost, $dbUser, $dbPw, $dbName = "", $pConnect = 0 )
	{
		$connFunc = "";
		if ( $pConnect )
		{
			$connFunc = "mysql_pconnect";
		}
		else
		{
			$connFunc = "mysql_connect";
		}
		if ( !( $this->linkid = @$connFunc( $dbHost, $dbUser, $dbPw ) ) )
		{
			$this->halt( "Can not connect to MySQL server" );
		}
		else if ( !mysql_ping( $this->linkid ) )
		{
			$this->halt( "Can not connect to MySQL server" );
		}
		if ( "4.1" < $this->version( ) )
		{
			global $MAXCMS_CONFIG;
			if ( !$MAXCMS_CONFIG['dbcharset'] )
			{
				$MAXCMS_CONFIG['dbcharset'] = $MAXCMS_CONFIG['charset'];
			}
			if ( $MAXCMS_CONFIG['dbcharset'] )
			{
				$this->set_character( $MAXCMS_CONFIG['charset'] );
			}
			if ( "5.0.1" < $this->version( ) )
			{
				mysql_query( "SET sql_mode=''", $this->linkid );
			}
		}
		if ( $dbName )
		{
			$this->select_db( $dbName );
		}
	}

	function select_db( $dbName )
	{
		if ( !mysql_select_db( $dbName, $this->linkid ) )
		{
			$this->halt( "Can not selected database to MySQL server " );
		}
	}

	function fetch_array( $query, $resultType = MYSQL_ASSOC )
	{
		return mysql_fetch_array( $query, $resultType );
	}

	function get_one( $sql )
	{
		if ( !preg_match( "/limit/is", $sql ) )
		{
			$sql .= " LIMIT 1";
		}
		$query = $this->query( $sql, "UNBUFFERED" );
		return mysql_fetch_array( $query, MYSQL_ASSOC );
	}

	function query( $sql, $type = "" )
	{
		$func = $type == "UNBUFFERED" && @function_exists( "mysql_unbuffered_query" ) ? "mysql_unbuffered_query" : "mysql_query";
		if ( !( $query = $func( $sql, $this->linkid ) ) || $type != "SILENT" )
		{
			$this->halt( "MySQL Query Error", $sql );
		}
		++$this->querynum;
		return $query;
	}

	function affected_rows( )
	{
		return mysql_affected_rows( $this->linkid );
	}

	function error( )
	{
		if ( $this->linkid )
		{
			return mysql_error( $this->linkid );
		}
		return mysql_error( );
	}

	function errno( )
	{
		return intval( $this->linkid ? mysql_errno( $this->linkid ) : mysql_errno( ) );
	}

	function result( $query, $row )
	{
		$query = @mysql_result( $query, $row );
		return $query;
	}

	function num_rows( $query )
	{
		$query = mysql_num_rows( $query );
		return $query;
	}

	function num_fields( $query )
	{
		return mysql_num_fields( $query );
	}

	function free_result( $query )
	{
		return mysql_free_result( $query );
	}

	function insert_id( )
	{
		if ( 0 <= ( $id = mysql_insert_id( $this->linkid ) ) )
		{
			return $id;
		}
		return $this->result( $this->query( "SELECT last_insert_id()" ), 0 );
	}

	function fetch_row( $query )
	{
		$query = mysql_fetch_row( $query );
		return $query;
	}

	function fetch_fields( $query )
	{
		return mysql_fetch_field( $query );
	}

	function version( )
	{
		return mysql_get_server_info( $this->linkid );
	}

	function set_character( $character )
	{
		$mysqlChars = array( "gbk", "big5", "utf-8", "utf8", "latin1" );
		if ( in_array( strtolower( $character ), $mysqlChars ) )
		{
			$character = str_replace( "-", "", $character );
		}
		else
		{
			$character = "gbk";
		}
		mysql_query( "SET character_set_connection=".$character.", character_set_results={$character}, character_set_client={$character}", $this->linkid );
	}

	function close( )
	{
		return mysql_close( $this->linkid );
	}

	function halt( $message = "", $sql = "" )
	{
		global $PHP_SELF;
		global $POC_CONFIG;
		$timeNow = time( );
		$errMsg = "";
		$dbError = $this->error( );
		$dbErrno = $this->errno( );
		if ( $dbErrno == 1114 )
		{
			echo "<b style=\"font-size: 10px\">Webserver onlines reached the upper limit</b><br><br><br>Sorry, the number of online visitors has reached the upper limit.<br>Please wait for someone else going offline or visit us in idle hours.";
			$this->close( );
			exit( );
		}
		if ( $message )
		{
			$errMsg = "<b>Error info</b>: ".$message."\n\n";
		}
		$errMsg .= "<b>Time</b>: ".gmdate( "Y-n-j g:ia", $timeNow )."\n";
		$errMsg .= "<b>Script</b>: ".$PHP_SELF."\n\n";
		if ( $sql )
		{
			$errMsg .= "<b>SQL</b>: ".htmlspecialchars( $sql )."\n";
		}
		$errMsg .= "<b>Error</b>:  ".$dbError."\n";
		$errMsg .= "<b>Errno.</b>:  ".$dbErrno;
		echo "<p style=\"font-family: Verdana, Tahoma; font-size: 11px; background: #FFFFFF;\">";
		echo nl2br( str_replace( $POC_CONFIG['tablepre'], "[TableFront]", $errMsg ) );
		echo "</p>";
		$this->close( );
		exit( );
	}

}

if ( !defined( "IN_MAXCMS" ) )
{
	exit( "NOT access!" );
}
?>
