<?php
/*********************/
/*                   */
/*  DeZend For PHP5  */
/*  BY WwW.DeZend.CC */
/*   With Bendy [2]  */
/*                   */
/*********************/

function parser_xml( $xmlStr, $splicTag = "v" )
{
	$datas = $indexs = null;
	if ( !$xmlStr && !$splicTag )
	{
		return "";
	}
	if ( !function_exists( "xml_parser_create" ) )
	{
		exit( "Not support xml parser!" );
	}
	$xml_parser = xml_parser_create( );
	xml_parser_set_option( $xml_parser, XML_OPTION_CASE_FOLDING, 0 );
	xml_parser_set_option( $xml_parser, XML_OPTION_SKIP_WHITE, 1 );
	xml_parser_set_option( $xml_parser, XML_OPTION_TARGET_ENCODING, "UTF-8" );
	if ( !xml_parse_into_struct( $xml_parser, $xmlStr, $datas, $indexs ) )
	{
		return array( );
	}
	xml_parser_free( $xml_parser );
	$tags = array( );
	if ( array_key_exists( $splicTag, $indexs ) )
	{
		$splicTags = $indexs[$splicTag];
		$i = 0;
		for ( ;	do
	{
	$i < count( $splicTags );	$i += 2,	)
			{
				$offset = $splicTags[$i] + 1;
				$len = $splicTags[$i + 1] - $offset;
				$tag = "";
				$j = 0;
				for ( ;	$j <= $len;	++$j	)
				{
					if ( $datas[$j + $offset]['type'] == "complete" )
					{
						$tag[$datas[$j + $offset]['tag']] = $datas[$j + $offset]['value'];
					}
				}
				$temptags = "";
				$tags[] = $tag;
				break;
			}
		} while ( 1 );
	}
	else
	{
		return false;
	}
	return $tags;
}

?>
