<?php
/*********************/
/*                   */
/*  DeZend For PHP5  */
/*  BY WwW.DeZend.CC */
/*   With Bendy [2]  */
/*                   */
/*********************/

function open_host( $url )
{
	global $MAXCMS_SETTING;
	preg_match( "/http\\:\\/\\/([^\\/]+)(.*)/is", $url, $matches );
	$host = $matches[1];
	$script = $matches[2];
	$out = "GET ".$script." HTTP/1.1\r\n";
	$out .= "Accept: */*\r\n";
	$out .= "Referer: http://".$MAXCMS_SETTING['siteurl']."\r\n";
	$out .= "Accept-Language: zh-cn\r\n";
	$out .= "Accept-Encoding:\r\n";
	$out .= "User-Agent: Pocle/1.0 (1.0)\r\n";
	$out .= "Host: ".$host."\r\n";
	$out .= "Connection: Close\r\n";
	$out .= "Cookie: ".$cookie."\r\n\r\n";
	$fp = fsockopen( $host, 80, $errno, $errstr, 5 );
	if ( !$fp )
	{
		return false;
	}
	return true;
}

function max_fopen( $url, $limit = 1000000, $post = "", $cookie = "", $force = FALSE )
{
	global $MAXCMS_SETTING;
	if ( function_exists( "curl_init" ) )
	{
		$ch = curl_init( );
		curl_setopt( $ch, CURLOPT_URL, $url );
		curl_setopt( $ch, CURLOPT_MAXREDIRS, 3 );
		curl_setopt( $ch, CURLOPT_FOLLOWLOCATION, 1 );
		curl_setopt( $ch, CURLOPT_RETURNTRANSFER, 1 );
		$result = curl_exec( $ch );
		$errorMsg = curl_error( $ch );
		curl_close( $ch );
		if ( empty( $errorMsg ) )
		{
			return $result;
		}
	}
	if ( ini_get( "allow_url_fopen" ) && !$force )
	{
		$s = @file_get_contents( $url );
		return $s;
	}
	$return = "";
	preg_match( "/http\\:\\/\\/([^\\/]+)(.*)/is", $url, $matches );
	$host = $matches[1];
	$script = $matches[2];
	if ( $post )
	{
		$out = "POST ".$script." HTTP/1.1\r\n";
		$out .= "Accept: */*\r\n";
		$out .= "Referer: http://".$MAXCMS_SETTING['siteurl']."\r\n";
		$out .= "Accept-Language: zh-cn\r\n";
		$out .= "Content-Type: application/x-www-form-urlencoded\r\n";
		$out .= "Accept-Encoding: none\r\n";
		$out .= "User-Agent: Pocle/1.0 (1.0)\r\n";
		$out .= "Host: ".$host."\r\n";
		$out .= "Content-Length: ".strlen( $post )."\r\n";
		$out .= "Connection: Close\r\n";
		$out .= "Cache-Control: no-cache\r\n";
		$out .= "Cookie: ".$cookie."\r\n\r\n";
		$out .= $post;
	}
	else
	{
		$out = "GET ".$script." HTTP/1.1\r\n";
		$out .= "Accept: */*\r\n";
		$out .= "Referer: http://".$MAXCMS_SETTING['siteurl']."\r\n";
		$out .= "Accept-Language: zh-cn\r\n";
		$out .= "Accept-Encoding:\r\n";
		$out .= "User-Agent: Pocle/1.0 (1.0)\r\n";
		$out .= "Host: ".$host."\r\n";
		$out .= "Connection: Close\r\n";
		$out .= "Cookie: ".$cookie."\r\n\r\n";
	}
	$fp = fsockopen( $host, 80, $errno, $errstr, 30 );
	if ( !$fp )
	{
		exit( "Don't support open remote files!" );
	}
	fwrite( $fp, $out );
	while ( !feof( $fp ) || -1 < $limit )
	{
		$limit -= 524;
		$return .= fread( $fp, 524 );
	}
	fclose( $fp );
	$return = preg_replace( "/\r\n\r\n/", "\n\n", $return, 1 );
	$strpos = strpos( $return, "\n\n" );
	$strpos = $strpos !== FALSE ? $strpos + 2 : 0;
	$return = substr( $return, $strpos );
	return $return;
}

function regunion( $sitename, $siteurl, $sitelogo, $sitetype, $siteemail )
{
	static $trynum = 0;
	$XMLresult = max_fopen( "http://union.bokecc.com/maxphp/reg.bo?siteName=".urlencode( $sitename )."&siteUrl=".urlencode( $siteurl )."&siteLogo=".urlencode( $sitelogo )."&siteType=".$sitetype."&siteEmail=".urlencode( $siteemail ) );
	if ( $XMLresult == "" && $trynum < 3 )
	{
		++$trynum;
		regunion( $sitename, $siteurl, $sitelogo, $sitetype, $siteemail );
	}
	if ( is_numeric( $XMLresult ) )
	{
		switch ( $XMLresult )
		{
		case "-1" :
			$msg = "Ϊ";
			break;
		case "-2" :
			$msg = "ע";
			break;
		case "-3" :
			$msg = "վΪ";
			break;
		case "-4" :
			$msg = "վΪ";
			break;
		case "-5" :
			$msg = "վΪ";
		}
		echo $msg;
		exit( );
	}
	if ( $XMLresult == "" )
	{
		echo "ʧ";
		exit( );
	}
	return explode( ",", $XMLresult );
}

function bindunion( $password, $siteemail, $siteurl )
{
	static $trynum = 0;
	$XMLresult = max_fopen( "http://union.bokecc.com/maxphp/bind.bo?password=".urlencode( $password )."&siteEmail=".urlencode( $siteemail )."&siteUrl=".urlencode( $siteurl ) );
	if ( $XMLresult == "" && $trynum < 3 )
	{
		++$trynum;
		bindunion( $password, $siteemail, $siteurl );
	}
	if ( is_numeric( $XMLresult ) )
	{
		switch ( $XMLresult )
		{
		case "-1" :
			$msg = "";
			break;
		case "-2" :
			$msg = "ûû";
			break;
		case "-3" :
			$msg = "˳δ֪";
			break;
		case "-4" :
			$msg = "";
			break;
		case "-5" :
			$msg = "Ϊ";
		}
		echo $msg;
		exit( );
	}
	if ( $XMLresult == "" )
	{
		echo "ʧ";
		exit( );
	}
	return explode( ",", $XMLresult );
}

function editunion( $ccid, $code )
{
	static $trynum = 0;
	$XMLresult = max_fopen( "http://union.bokecc.com/maxphp/edit.bo?siteid=".$ccid."&code={$code}" );
	if ( $XMLresult == "" && $trynum < 3 )
	{
		++$trynum;
		editunion( $ccid, $code );
	default :
		switch ( $XMLresult )
		{
			$msg = "ʧ";
		}
		else
		{
		case "1" :
			return true;
		case "0" :
			$msg = "ID";
			break;
		case "-1" :
			$msg = "URLΪ";
			break;
		case "-2" :
			$msg = "վΪ";
			break;
		case "-3" :
			$msg = "վΪ";
			break;
		case "-4" :
			$msg = "˳δ֪";
			break;
		case "-5" :
			$msg = "쳣";
			break;
		case "-6" :
			$msg = "ϢΪ";
			break;
		case "-7" :
			$msg = "ܻȡѾ󶨵Ϣ";
			break;
		case "-8" :
			$msg = "֤";
		}
	}
	echo $msg;
	exit( );
}

function gettradexml( $ccid, $code, $tp )
{
	static $trynum = 0;
	if ( $tp == "getitem" )
	{
		$url = "http://trade.bokecc.com/trade/action/g.jsp?id=".$ccid."&type=2&p=".urlencode( $code );
	}
	else if ( $tp == "getday" )
	{
		$url = "http://trade.bokecc.com/trade/action/h.jsp?id=".$ccid."&type=2&p=".urlencode( $code );
	}
	if ( !open_host( $url ) )
	{
		echo "Զʧܣ<br><a href=# onClick='javascript:self.location.reload()'></a>";
		return false;
	}
	$XMLresult = max_fopen( $url );
	if ( $XMLresult == "" && $trynum < 3 )
	{
		++$trynum;
		gettradexml( $ccid, $code, $tp );
	}
	else if ( !preg_match( "</vlist>", $XMLresult ) )
	{
		echo "ȡԶʧܣ<br><a href=# onClick='javascript:self.location.reload()'></a>";
		return false;
	}
	return $XMLresult;
}

?>
