-- MySQL dump 10.11
--
-- Host: localhost    Database: a0624210216
-- ------------------------------------------------------
-- Server version	5.0.45-community-nt

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `max_admin`
--

DROP TABLE IF EXISTS `max_admin`;
CREATE TABLE `max_admin` (
  `id` int(8) NOT NULL auto_increment,
  `adminname` varchar(50) NOT NULL,
  `password` varchar(50) NOT NULL,
  `islock` tinyint(3) unsigned NOT NULL default '0',
  `logintime` int(10) unsigned NOT NULL default '0',
  `loginip` varchar(50) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=gbk;

--
-- Dumping data for table `max_admin`
--

LOCK TABLES `max_admin` WRITE;
/*!40000 ALTER TABLE `max_admin` DISABLE KEYS */;
INSERT INTO `max_admin` VALUES (1,'admin','21232f297a57a5a743894a0e4a801fc3',0,1218180156,'119.39.177.99');
/*!40000 ALTER TABLE `max_admin` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `max_book`
--

DROP TABLE IF EXISTS `max_book`;
CREATE TABLE `max_book` (
  `id` int(8) NOT NULL auto_increment,
  `username` varchar(50) NOT NULL,
  `content` mediumtext NOT NULL,
  `addtime` int(10) unsigned NOT NULL,
  `reltime` int(10) unsigned NOT NULL,
  `start` tinyint(3) unsigned NOT NULL,
  `relcontent` mediumtext NOT NULL,
  `ip` varchar(20) NOT NULL,
  `title` varchar(200) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=gbk;

--
-- Dumping data for table `max_book`
--

LOCK TABLES `max_book` WRITE;
/*!40000 ALTER TABLE `max_book` DISABLE KEYS */;
/*!40000 ALTER TABLE `max_book` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `max_comment`
--

DROP TABLE IF EXISTS `max_comment`;
CREATE TABLE `max_comment` (
  `id` int(8) NOT NULL auto_increment,
  `vid` int(8) unsigned NOT NULL default '0',
  `username` varchar(50) NOT NULL,
  `content` text NOT NULL,
  `date` int(10) unsigned NOT NULL default '0',
  `ip` varchar(50) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `vid` (`vid`)
) ENGINE=MyISAM DEFAULT CHARSET=gbk;

--
-- Dumping data for table `max_comment`
--

LOCK TABLES `max_comment` WRITE;
/*!40000 ALTER TABLE `max_comment` DISABLE KEYS */;
/*!40000 ALTER TABLE `max_comment` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `max_data`
--

DROP TABLE IF EXISTS `max_data`;
CREATE TABLE `max_data` (
  `id` int(8) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL,
  `enname` varchar(255) NOT NULL,
  `color` varchar(50) NOT NULL,
  `type` int(8) unsigned NOT NULL default '0',
  `source1` varchar(50) NOT NULL,
  `source2` varchar(50) NOT NULL,
  `act` varchar(255) NOT NULL,
  `serial` varchar(255) NOT NULL,
  `pic` varchar(255) NOT NULL,
  `vouch` int(2) unsigned NOT NULL default '0',
  `hits` int(8) unsigned NOT NULL default '0',
  `date` int(10) unsigned NOT NULL default '0',
  `url1` text NOT NULL,
  `url2` text NOT NULL,
  `content` text NOT NULL,
  `hide` tinyint(1) unsigned NOT NULL default '0',
  `uvid` varchar(50) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `type` (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=gbk;

--
-- Dumping data for table `max_data`
--

LOCK TABLES `max_data` WRITE;
/*!40000 ALTER TABLE `max_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `max_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `max_import`
--

DROP TABLE IF EXISTS `max_import`;
CREATE TABLE `max_import` (
  `id` int(8) NOT NULL auto_increment,
  `uvid` varchar(50) NOT NULL,
  `name` varchar(255) NOT NULL,
  `type` int(8) unsigned NOT NULL,
  `act` varchar(255) NOT NULL,
  `pic` varchar(255) NOT NULL,
  `url1` text NOT NULL,
  `url2` text NOT NULL,
  `content` mediumtext NOT NULL,
  `date` int(10) unsigned NOT NULL,
  `source1` varchar(50) NOT NULL,
  `source2` varchar(50) NOT NULL,
  `serial` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=gbk;

--
-- Dumping data for table `max_import`
--

LOCK TABLES `max_import` WRITE;
/*!40000 ALTER TABLE `max_import` DISABLE KEYS */;
/*!40000 ALTER TABLE `max_import` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `max_link`
--

DROP TABLE IF EXISTS `max_link`;
CREATE TABLE `max_link` (
  `id` int(8) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL,
  `pic` varchar(255) NOT NULL,
  `url` varchar(255) NOT NULL,
  `des` text NOT NULL,
  `switch` tinyint(3) unsigned NOT NULL default '0',
  `sort` smallint(6) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=gbk;

--
-- Dumping data for table `max_link`
--

LOCK TABLES `max_link` WRITE;
/*!40000 ALTER TABLE `max_link` DISABLE KEYS */;
INSERT INTO `max_link` VALUES (1,'妞妞基地吧','','http://nnjd8.cn','妞妞基地吧-最优质的电影网站',0,1);
/*!40000 ALTER TABLE `max_link` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `max_setting`
--

DROP TABLE IF EXISTS `max_setting`;
CREATE TABLE `max_setting` (
  `name` varchar(30) NOT NULL,
  `var` text NOT NULL,
  PRIMARY KEY  (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=gbk;

--
-- Dumping data for table `max_setting`
--

LOCK TABLES `max_setting` WRITE;
/*!40000 ALTER TABLE `max_setting` DISABLE KEYS */;
/*!40000 ALTER TABLE `max_setting` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `max_type`
--

DROP TABLE IF EXISTS `max_type`;
CREATE TABLE `max_type` (
  `id` int(8) NOT NULL auto_increment,
  `name` varchar(50) NOT NULL,
  `enname` varchar(50) NOT NULL,
  `sort` int(8) unsigned NOT NULL default '0',
  `upid` int(8) unsigned NOT NULL default '0',
  `hide` tinyint(3) unsigned NOT NULL default '0',
  `unionid` varchar(50) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `upid` (`upid`),
  KEY `id` (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=13 DEFAULT CHARSET=gbk;

--
-- Dumping data for table `max_type`
--

LOCK TABLES `max_type` WRITE;
/*!40000 ALTER TABLE `max_type` DISABLE KEYS */;
INSERT INTO `max_type` VALUES (1,'动作片','dz',1,0,0,'1,9'),(2,'喜剧片','xj',2,0,0,'3'),(3,'爱情片','aq',3,0,0,'5'),(4,'科幻片','kh',4,0,0,'6'),(5,'恐怖片','kb',5,0,0,'7,8'),(6,'剧情片','jq',6,0,0,'10'),(7,'动画片','dh',7,0,0,'11'),(8,'综艺片','zy',8,0,0,'12'),(9,'国产剧','gc',9,0,0,'14'),(10,'港台剧','gt',10,0,0,'15,17'),(11,'欧美剧','om',11,0,0,'18'),(12,'日韩剧','rh',12,0,0,'19,20');
/*!40000 ALTER TABLE `max_type` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2008-08-08  7:30:03
